#
# lgpl-stamp.pl -- add lgpl file to source code
#
#     Replaces "//LGPL-HEADER//" markers with a standard lgpl header.
#

my $infilename = $ARGV[0];

print STDERR "--- Working on $infilename\n";
unless(open(IN, "<$infilename")) {
    print STDERR "$0: ERROR: $infilename: $!\n";
    exit(1);
}
while(<IN>) {
    if ( m%//INSERT-LGPL-HEADER-HERE//% ) {
        print <<"EOF";
//////////////////////
// $infilename
//////////////////////
//
// Fl_Tree -- This file is part of the Fl_Tree widget for FLTK
// Copyright (C) 2009 by Greg Ercolano.
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Library General Public
// License as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Library General Public License for more details.
//
// You should have received a copy of the GNU Library General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
// USA.
//
EOF
    } else {
        print $_;
    }
}
close(IN);
exit(0);
